//
//  GBSlidingMenu.h
//  SlidingMenu
//
//  Created by Julien Gomes on 8/20/12.
//  Copyright (c) 2012 Gomes Brothers. All rights reserved.
//

#import "MenuViewController.h"

@class MenuViewController;

@interface GBSlideOutController : UIViewController {
    MenuViewController *menuViewController;
    UINavigationController *contentViewController;
    NSArray *viewControllers;
    UIViewController *currentViewController;
    
    CGRect _mainViewDimensionsDisplayed;
    CGRect _mainViewDimensionsHidden;
    CGRect _currentMainViewDimensions;
    BOOL _isMenuHidden;
}

@property (retain) UIViewController *menuViewController;
@property (retain) UINavigationController *contentViewController;
@property (retain) NSArray *viewControllers;

- (id)initWithViewControllers:(NSArray *)allViewControllers;
- (void) displayMenu;
- (void) hideMenu;
- (void) displayControllerAtIndex:(NSUInteger)index;
- (void) displayController:(UIViewController *)viewController;
- (void) createContentViewcontroller:(UIViewController *)viewController;

@end
